using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class FmsContractClass {
        public FmsContractClass() {
            FmsContract = new HashSet<FmsContract>();
        }

        //근무형태
        [Display(Name = "근무형태 코드"), Key]
        public int ContractClassId { get; set; }
        [Display(Name = "코드 명칭"), Required]
        [StringLength(50)]
        public string Name { get; set; }
        [Display(Name = "사용 유무")]
        public bool? IsUse { get; set; }

        public virtual ICollection<FmsContract> FmsContract { get; set; }
    }
}
